<template>
  <component
    :is="to ? 'nuxt-link' : 'div'"
    :to="to"
    class="alert"
    :class="{
      [`alert--variant-${variant}`]: variant
    }"
  >
    <slot />
  </component>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import type { UiVariant } from '@/types/ui'

export default defineComponent<{
  to: string
  variant: UiVariant
}>({
  name: 'Alert',
  props: ['to', 'variant']
})
</script>

<style lang="scss" scoped>
@import '~/assets/scss/variables';

.alert {
  display: flex;
  border-radius: 3px;
  padding: 12px 50px;
  text-align: center;
  text-decoration: none;
  font-size: 24px;
  border: none;
  outline: none;
  width: 100%;

  align-items: center;
  justify-content: center;
  text-transform: uppercase;
  font-weight: 700;

  &--variant {
    &-success {
      color: var(--color-dark-3);
      background: rgba($--color-success, 0.16);
    }

    &-danger {
      color: var(--color-danger);
      background: rgba($--color-danger, 0.16);
    }
  }
}
</style>
